#pragma once
#ifndef SHADER
#define SHADER

#include <GL/glew.h>

#include "ressource.h"


class Xr_Shader : public Xr_Ressource
{
	public:
		Xr_Shader();
		Xr_Shader(char*);
		virtual ~Xr_Shader();
		
		GLuint getShaderId() const;
		GLenum getShaderType() const;
		bool isCompile() const;
		char* const getSrc() const;
		int getSrcLength() const;

		void load();
		void compile();
		
	private:
		GLuint S_id;
		GLenum S_type;
		char *S_src;
		bool S_isCompile;
		int S_srcLength;
};

#endif
