uniform mat4 projection;
uniform mat4 modelview;
varying float lum;

void main()
{
	vec3 light = normalize(vec3(-1.0, -1.0, 0.0));
	vec3 norm = normalize(gl_Normal);
	lum = -dot(light, gl_Normal) + 0.20;
	if(lum <= 0.20) {
		lum = 0.20;
	}
	lum *= 0.80;
	
	gl_Position = projection * modelview * gl_Vertex;
	//gl_TexCoord[0] = gl_MultiTexCoord0;
}
