uniform mat4 modelview;
uniform mat4 projection;

uniform mat4 lightProjection;
uniform mat4 lightModelview;

varying vec4 lightCoord;

void main()
{
	gl_Position = projection * modelview * gl_Vertex;
	
	lightCoord = lightProjection * lightModelview * gl_Vertex;
}

