#pragma once
#ifndef MESH
#define MESH

#include "ressource.h"

class Xr_Mesh : public Xr_Ressource
{
	public:
		Xr_Mesh();
		Xr_Mesh(char*);
		Xr_Mesh(Xr_Mesh const&);
		virtual ~Xr_Mesh();

		float* const getVertex() const;
		float* const getTexCoord() const;
		float* const getNormal() const;
		int getFaceNumber() const;

		void load();
		

	private:
		float *M_vertex;
		float *M_texCoord;
		float *M_normal;
		
		int M_faceNumber;
};

#endif
