#pragma once
#ifndef PLAN
#define PLAN

#include "vector.h"

class Xr_Plane
{
	public:
		Xr_Plane();
		Xr_Plane(Xr_Vector3D const&, Xr_Vector3D const&, Xr_Vector3D const&);
		Xr_Plane(Xr_Vector3D const&, Xr_Vector3D const&);
		~Xr_Plane();
		
		void setPoints(Xr_Vector3D const&, Xr_Vector3D const&, Xr_Vector3D const&);
		void setNormalPoint(Xr_Vector3D const&, Xr_Vector3D const&);
		
		float getDistanceToPoint(Xr_Vector3D const&);
		void flipNormal();
		Xr_Vector3D getNormal();
		
	private:
		Xr_Vector3D P_normal;
		Xr_Vector3D P_point;
		float P_d;
};

#endif
